Skip to main content
POST
Creates one or more rules for a campaign. All active rules must pass for a payment to trigger the campaign (AND logic). Visit the conditional operators reference for more information on how to use them.

Authorizations

public-api-key
string
header
required
private-secret-key
string
header
required

Path Parameters

campaign_id
string
required

The campaign identifier (UUID).

Body

application/json
rule_type
string
required

Type of rule (see Rule Types Reference)

values
string[]

Array of string values for comparison. Not required for UNIQUE_BY_USER.

conditional
string

Comparison operator. Not required for USER_COMMS_PER_DAY or UNIQUE_BY_USER. See Conditional Operators Reference.

metadata_key
string

Required when rule_type is METADATA. The metadata field name to evaluate.

Response

Created

data
object[]